<?php

require_once 'config.php';
require_once 'Mail.class.php';
require_once 'Request.class.php';

try {
    $req = new Request(file_get_contents('php://input'));
    $mail = Mail::FromRequest($req);
    $mail->send();

    $response = array(
        "status" => "success"
    );

} catch (\Exception $e) {
    $response = array(
        "status" => "error",
        "error" => "{$e->getMessage()}"
    );
};

echo json_encode($response);
